%define 	module	offtrac
Summary:	Trac xmlrpc library
Name:		python-%{module}
Version:	0.0.3
Release:	4
License:	GPL v2+
Group:		Development/Languages
URL:		http://fedorahosted.org/offtrac
# No tarballs are made, generate them from scm
# git clone git://git.fedorahosted.org/git/offtrac
# cd offtrac
# git checkout -b tarball %{version}
# python setup.py sdist --formats=bztar
Source0:	%{module}-%{version}.tar.bz2
# Source0-md5:	3e4cdcbf50ba492b93748d2e08cbbc9c
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There is the offtrac Python library which offers the TracServer class.
This object is how one interacts with a Trac instance via xmlrpc.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-offtrac.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 18055ac
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a90bef0
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 13eb970
- added BR: python-modules, rpm-pythonprov

* Wed Aug 11 2010 zbyniu <zbyniu@pld-linux.org> 7f1c4f6
- missing dir, rel 3

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> 02bb8d1
- fix macros

* Tue Aug 10 2010 Elan Ruusamäe <glen@pld-linux.org> 1920201
- new, based on fc src.rpm

